- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: a3d336d6-19d0-4c03-a4af-b9e2450430ea
    creation_time: 2023-02-17T13:45:07.158306Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark27_linear.i
      input_file_hashes:
        c/loop-zilu/benchmark27_linear.i: 917374027b639c45b575eeb17a4ba7670f94886b4db7d6a64e3f533dbd0231cc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark27_linear.i
    file_hash: 917374027b639c45b575eeb17a4ba7670f94886b4db7d6a64e3f533dbd0231cc
    line: 24
    column: 0
    function: main
  loop_invariant:
    string: k > i - j && i <= j
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 531cffa1-af08-47f4-896d-162d75749b5c
    creation_time: 2023-02-17T13:45:07.158705Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-zilu/benchmark27_linear.i
      input_file_hashes:
        c/loop-zilu/benchmark27_linear.i: 917374027b639c45b575eeb17a4ba7670f94886b4db7d6a64e3f533dbd0231cc
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-zilu/benchmark27_linear.i
    file_hash: 917374027b639c45b575eeb17a4ba7670f94886b4db7d6a64e3f533dbd0231cc
    line: 29
    column: 0
    function: main
  location_invariant:
    string: k > 0
    type: assertion
    format: C

